Imagick::adaptiveSharpenImage
Imagick::addImage
The Imagick class
PHP Manual

# Imagick::adaptiveThresholdImage

(No version information available, might be only in CVS)

Imagick::adaptiveThresholdImage — Selects a threshold for each pixel based on a range of intensity

### Description

bool Imagick::adaptiveThresholdImage ( int `$width` , int `$height` , int `$offset` )

Selects an individual threshold for each pixel based on the range of intensity values in its local neighborhood. This allows for thresholding of an image whose global intensity histogram doesn't contain distinctive peaks.

### Parameters

`width`

  Width of the local neighborhood.

`height`

  Height of the local neighborhood.

`offset`

  The mean offset

### Return Values

Returns `TRUE` on success.

Imagick::adaptiveSharpenImage
Imagick::addImage
The Imagick class
PHP Manual